package com.bwie.common.remote.mq;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.request.MqReq;
import com.bwie.common.domain.request.PayNum;
import com.bwie.common.remote.goods.factory.GoodsRemoteFactory;
import com.bwie.common.remote.mq.factory.MqRemoteFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(
        name = ServerNameConstants.MQ_NAME,
        fallbackFactory = MqRemoteFactory.class
)
public interface MqRemoteService {

    @PostMapping("updstatus")
    void updstatus(@RequestBody MqReq build);

}
