package com.bwie.mq;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.bwie.**")
@MapperScan("com.bwie.mq.mapper")
public class MqApp {
    public static void main(String[] args) {
        SpringApplication.run(MqApp.class);
    }
}
