package com.bwie.ord;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.bwie.**")
@MapperScan("com.bwie.ord.mapper")
@EnableScheduling
public class OrdApp {
    public static void main(String[] args) {
        SpringApplication.run(OrdApp.class);
    }
}
