package com.bwie.system.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.system.service.SysService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@ResponseBody
public class SysController {
    private final SysService sysService;

    public SysController(SysService sysService) {
        this.sysService = sysService;
    }


    @PostMapping("findname")
    public Result<User> findname(@RequestParam String userName){
        User findname = sysService.findname(userName);
        return Result.success(findname);
    }

    @PostMapping("incremoney")
    void incremoney(@RequestParam Double ordMoney, Long userId){
        sysService.incremoney(ordMoney,userId);
    }
    @PostMapping("addmoney")
    void addmoney(@RequestParam Long userId, Double ordTruth){
        sysService.addmoney(ordTruth,userId);
    }
}
