package com.bwie.type.controller;

import com.bwie.common.domain.Type;
import com.bwie.common.result.Result;
import com.bwie.type.service.TypeService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@ResponseBody
public class TypeController {
    private final TypeService typeService;


    public TypeController(TypeService typeService) {
        this.typeService = typeService;
    }
    @GetMapping ("show")
    public Result show(){
        List<Type> show = typeService.show();
        return Result.success(show);
    }




}
