package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bwie.common.domain.response.Info;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("goods")
public class Goods {
    @TableId(value = "goods_id",type = IdType.AUTO)
    private Long goodsId;
    @TableField(value = "goods_name")
    private String goodsName;
    @TableField(value = "goods_price")
    private Double goodsPrice;
    @TableField(value = "goods_sale")
    private Integer goodsSale;
    @TableField(value = "goods_save")
    private Integer goodsSave;
    @TableField(value = "goods_status")
    private Integer goodsStatus;
    @TableField(value = "goods_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date goodsTime;
    @TableField(value = "type_id")
    private Long typeId;







}
