package com.bwie.es.controller;

import com.bwie.common.domain.Goods;
import com.bwie.common.result.Result;
import com.bwie.es.service.EsService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@ResponseBody
public class EsController {
    private final EsService esService;
    public EsController(EsService esService) {
        this.esService = esService;
    }
    @PostMapping("addb")
    public Result addb(@RequestBody List<Goods> gg){
        esService.addb(gg);
        return Result.success();
    }
    @PostMapping("del")
    Result delb(@RequestParam Long goodsId){
        esService.delb(goodsId);
        return Result.success();
    }
    @GetMapping("del")
    public void del(){
        esService.del();
    }

}
