package com.bwie.goods.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bwie.common.domain.Goods;
import com.bwie.common.domain.request.CusReq;
import com.bwie.common.domain.request.ManaReq;
import com.bwie.common.domain.request.PayNum;
import com.bwie.common.domain.response.CusRes;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

import java.util.List;

public interface GoodsService extends IService<Goods> {
    List<Goods> findall();
    void initRedis();
    Result showMana(ManaReq manaReq);

    void addgoods(Goods gg);

    void delgoods(Goods gg);
    Result<PageResult<CusRes>> showCus(CusReq cusReq);

    void updnum(Long goodsId,Integer goodsNum);

    void addnum(Integer goodsNum, Long goodsId);
}
