package com.bwie.ord.controller;

import com.bwie.common.domain.request.AddoReq;
import com.bwie.common.domain.request.BackReq;
import com.bwie.common.domain.request.PayReq;
import com.bwie.common.result.Result;
import com.bwie.ord.service.OrdService;
import org.springframework.web.bind.annotation.*;

@RestController
@ResponseBody
public class OrdController {
    private final OrdService ordService;
    public OrdController(OrdService ordService) {
        this.ordService = ordService;
    }
    @PostMapping("addord")
    public Result addord(@RequestBody AddoReq addoReq){
        Result addord = ordService.addord(addoReq);
        return addord;
    }
    @PostMapping("pay")
    public Result pay(@RequestBody PayReq payReq){
        Result addord = ordService.pay(payReq);
        return addord;
    }
    @GetMapping("show")
    public Result show(){
        Result addord = ordService.show();
        return addord;
    }

    @PostMapping("back")
    public Result back(@RequestBody BackReq backReq){
        ordService.back(backReq);
        return Result.success();
    }

}
