package com.bwie.ord.task;

import com.bwie.ord.mapper.OrdMapper;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class MyTask {
    private final OrdMapper ordMapper;

    public MyTask(OrdMapper ordMapper) {
        this.ordMapper = ordMapper;
    }

    @Scheduled(cron = "0/30 * * * * *")
    public void back(){
        ordMapper.findback();
    }

}
